-- -------------------
--                  --
--  rn4
--                  --
-- -------------------
drop table if exists config;
create table config (
  bbiPath text not null,
  seqPath text null,
  defaultTracks text not null,
  defaultMdcategory varchar(255) not null,
  defaultGenelist text not null,
  defaultCustomtracks text not null,
  defaultPosition varchar(255) not null,
  defaultDataset varchar(255) not null,
  defaultDecor text null,
  defaultScaffold text not null,
  ideogram_wiggle1 varchar(255) null,
  ideogram_wiggle2 varchar(255) null,
  hasGene boolean not null,
  allowJuxtaposition boolean not null,
  keggSpeciesCode varchar(255) null,
  information text not null,
  runmode tinyint not null,
  initmatplot boolean not null
);
insert into config values(
"/srv/epgg/data/data/subtleKnife/rn4/",
"/srv/epgg/data/data/subtleKnife/seq/rn4.gz",
"mock1,mock2,mock3,mock4,mock5,mock6,mock7,mock8,mock9,mock10,mock11,mock12,mock13,mock14,mock15,mock16,mock17,mock18,mock19,mock20", 
"Sample,mock term",
"CYP4Z1\\nCYP2A7\\nCYP2A6\\nCYP3A4\\nCYP1A1\\nCYP4V2\\nCYP51A1\\nCYP2C19\\nCYP26B1\\nCYP11B2\\nCYP24A1\\nCYP4B1\\nCYP2C8",
"",
"chr4,80447920,chr4,80636829",
"mock",
"refGene,rmsk_ensemble",
"chr1,chr2,chr3,chr4,chr5,chr6,chr7,chr8,chr9,chr10,chr11,chr12,chr13,chr14,chr15,chr16,chr17,chr18,chr19,chr20,chrX,chrUn,chrM",
\N,\N,
true,
true,
"rno",
"Assembly version|rn4|Sequence source|<a href=http://hgdownload.soe.ucsc.edu/goldenPath/rn4/bigZips/ target=_blank>UCSC Genome Browser</a>|Date parsed|February 17, 2013|Chromosomes|23|Contigs & misc|22|Logo art|<a href=http://en.wikipedia.org/wiki/File:Rat_diabetic.jpg target=_blank>link</a>",
0,
false
);


-- grouping types on genomic features
-- table name defined in macro: TBN_GF_GRP
drop table if exists gfGrouping;
create table gfGrouping (
  id TINYINT not null primary key,
  name char(50) not null
);
insert into gfGrouping values (2, "Genes");
insert into gfGrouping values (4, "RepeatMasker");
insert into gfGrouping values (5, "Others");



drop table if exists decorInfo;
create table decorInfo (
  name char(50) not null primary key,
  printname char(100) not null,
  parent char(50) null,
  grp tinyint not null,
  fileType tinyint not null,
  hasStruct tinyint null,
  queryUrl varchar(255) null
);
load data local infile 'decorInfo' into table decorInfo;
load data local infile 'decorInfo_rmsk' into table decorInfo;

drop table if exists track2Label;
create table track2Label (
  name varchar(255) not null primary key,
  label text null
);
load data local infile 'track2Label' into table track2Label;

drop table if exists track2ProcessInfo;
create table track2ProcessInfo (
  name varchar(255) not null primary key,
  detail text null
);
load data local infile 'track2ProcessInfo' into table track2ProcessInfo;

drop table if exists track2BamInfo;
create table track2BamInfo (
  name varchar(255) not null,
  bamfile varchar(255) not null,
  bamfilelabel varchar(255) not null
);
load data local infile "track2BamInfo" into table track2BamInfo;

drop table if exists track2Detail;
create table track2Detail (
  name varchar(255) not null primary key,
  detail text null
);
load data local infile 'track2Detail' into table track2Detail;
load data local infile 'track2Detail_rmsk' into table track2Detail;

drop table if exists track2GEO;
create table track2GEO (
  name varchar(255) not null primary key,
  geo char(20) not null
);
load data local infile 'track2GEO' into table track2GEO;

drop table if exists track2Categorical;
create table track2Categorical (
  name varchar(255) not null primary key,
  info text not null
);
load data local infile 'track2Categorical' into table track2Categorical;


drop table if exists track2VersionInfo;
create table track2VersionInfo (
  name varchar(255) not null primary key,
  info varchar(255) not null
);
load data local infile 'track2VersionInfo' into table track2VersionInfo;


drop table if exists track2Annotation;
create table track2Annotation (
  name varchar(255) not null primary key,
  attridx varchar(255) not null
);
load data local infile "track2Annotation" into table track2Annotation;

drop table if exists track2Ft;
create table track2Ft (
  name varchar(255) not null primary key,
  ft tinyint not null
);
load data local infile "track2Ft" into table track2Ft;

drop table if exists track2Style;
create table track2Style (
  name varchar(255) not null primary key,
  style text not null
);
load data local infile "track2Style" into table track2Style;
load data local infile "track2Style_rmsk" into table track2Style;

drop table if exists track2Regions;
create table track2Regions (
  name varchar(255) not null primary key,
    regionname varchar(255) not null,
	  regions text not null
	   );


drop table if exists metadataVocabulary;
create table metadataVocabulary (
  child varchar(255) not null,
  parent varchar(255) not null
);
load data local infile "metadataVocabulary" into table metadataVocabulary;

drop table if exists trackAttr2idx;
create table trackAttr2idx (
  idx varchar(255) not null primary key,
  attr varchar(255) not null,
  note varchar(255) null,
  description text null
);
load data local infile "trackAttr2idx" into table trackAttr2idx;


drop table if exists tempURL;
create table tempURL (
  session varchar(100) not null,
  offset INT unsigned not null,
  urlpiece text not null
);


drop table if exists dataset;
create table dataset (
  tablename varchar(255) not null,
  logo varchar(255) null,
  name varchar(255) not null,
  url varchar(255) null,
  description text not null
);
load data local infile "dataset" into table dataset;

drop table if exists mock;
create table mock (
  tkname varchar(255) not null
);
load data local infile "mock" into table mock;


drop table if exists scaffoldInfo;
create table scaffoldInfo (
  parent varchar(255) not null,
  child varchar(255) not null,
  childLength int unsigned not null
);
load data local infile "scaffoldInfo" into table scaffoldInfo;


